#   pyRCV2: Preferential vote counting
#   Copyright © 2020–2021  Lee Yingtong Li (RunasSudo)
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Affero General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU Affero General Public License for more details.
#
#   You should have received a copy of the GNU Affero General Public License
#   along with this program.  If not, see <https://www.gnu.org/licenses/>.

from py_mini_racer import py_mini_racer

def init_context():
	ctx = py_mini_racer.MiniRacer()
	
	# Imports
	with open('html/vendor/BigInt_BigRat-a5f89e2.min.js', 'r') as f:
		ctx.eval(f.read())
	with open('html/vendor/big-6.0.0.min.js', 'r') as f:
		ctx.eval(f.read())
	with open('html/vendor/sjcl-1.0.8.min.js', 'r') as f:
		ctx.eval(f.read())
	with open('html/bundle.js', 'r') as f:
		ctx.eval(f.read())
	
	return ctx
